@Echo Off
cls 

:: Info
Echo/
Echo - Script for batch convert your iso/bin disc images to zso format.
Echo/
Echo   rev 2022-05-15
Echo/
Echo   Author: Okeanos
Echo/
Echo  - Credits:
Echo    Open PS2 Loader Team
Echo    Acid_Snake
Echo    Virtuous Flame
Echo    GDX
Echo/
Echo/
Echo ^* Disclaimer
Echo   This script is provided without any warranty.
Echo/
Echo/
Echo ... Press a key to continue, or press 'CTRL^+C' to exit ... & Pause>Nul

:: VARIABLES
Set "FLAG=0"
Set "EXT=*.bin, *.iso"
Set "IN=ISO"
Set "OUT=ZSO"
If Not Exist "%~dp0%IN%" MD "%~dp0%IN%"
If Not Exist "%~dp0%OUT%" MD "%~dp0%OUT%"
If Exist "%~dp0%~nx0.log" DEL "%~dp0%~nx0.log"

:: Prerequisites check
Echo/
Echo Prerequisites check ...
Echo/
Echo searching for ziso.exe:
If Not Exist "%~dp0ziso.exe" Echo/ & Echo not found ... please place it in script folder ... & Echo/ & Echo ... Press a key to exit ...& Pause>Nul & Exit
Echo found. OK.
Echo/
Echo - Now put your files in %IN% folder ... Press a key to continue ... & Pause>Nul
Echo/

:Processing
For ^/R "%~dp0%IN%" %%I In (%EXT%) Do (
    If Exist "%~dp0%OUT%\%%~nI.zso" (
        Set "FLAG=!1!"
        Echo [ ]  "%%~nxI"
        Echo [ ] "%%~nxI" >> "%~dp0%~nx0.log"
    )
    If Not Exist "%~dp0%OUT%\%%~nI.zso" (
        Set "FLAG=!1!"
        Echo [^+] "%%~nxI"
        Echo [^+] "%%~nxI" >> "%~dp0%~nx0.log"
        ziso.exe -c 9 "%%I" "%~dp0%OUT%\%%~nI.zso"
    )
)

:: Legend
Echo/
Echo  - Info:
Echo    [^+] processed
Echo    [ ] skipped, already processed

If %FLAG%==0 Echo/ & Echo ... No file to process found ...

Echo/
Echo/
Echo ... End. Press a key to exit ... && Pause>Nul
Echo/

:EOF
Exit